Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046010
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] POSmajoralways2021-03-05 11:072021-03-10 20:22
Reporterjorge-garciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046010: Selecting "Lighting & Electronics" category from Store schema breaks the application

DescriptionSelecting "Lighting & Electronics" category from Store schema breaks the application
Steps To ReproduceSelect Store schema from new POS application
Select "Lighting & Electronics"
The application crashes.
Proposed SolutionThere are two errors here:
1) The selected product "Solar charger all terrain" in POS Keymap is not the proper product to be added (this is a problem in the sampledata)
2) The Line 32 from Getproductkeymapinfo.js does not take into account that the product with specific id could not exists

Both problems should be fixed at the same time
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126591)
hgbot (developer)
2021-03-10 19:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/4 [^]
(0126592)
hgbot (developer)
2021-03-10 19:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/291 [^]
(0126595)
hgbot (developer)
2021-03-10 20:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata [^]
Changeset: 57f45000c59ca06ae3e418560193f2e72541c3a5
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 2021-03-10T23:50:41+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/commit/57f45000c59ca06ae3e418560193f2e72541c3a5 [^]

Fixes ISSUE-0046010: Selecting "Lighting & Electronics" category
from Store schema breaks the application

**update Lighting & Electronics category products properly in
sample data in pos2 keymap products.

---
M referencedata/sampledata/The_White_Valley_Group/OBPOS2_KEYMAP_PRODUCT.xml
---
(0126596)
hgbot (developer)
2021-03-10 20:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/4 [^]
(0126597)
hgbot (developer)
2021-03-10 20:22

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 422c6159ed7b79749311284adf2e833989c3e69d
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 2021-03-10T23:42:10+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/422c6159ed7b79749311284adf2e833989c3e69d [^]

Related to ISSUE-46010:Selecting "Lighting & Electronics" category from
Store schema breaks the application

**return empty object {} in case productKeymapList does not have product
with specific id

---
M web-jspack/org.openbravo.pos2/src/components/ProductKeymap/GetProductKeymapInfo.js
---
(0126598)
hgbot (developer)
2021-03-10 20:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/291 [^]

- Issue History
Date Modified Username Field Change
2021-03-05 11:07 jorge-garcia New Issue
2021-03-05 11:07 jorge-garcia Assigned To => Retail
2021-03-05 11:07 jorge-garcia Triggers an Emergency Pack => No
2021-03-09 12:35 AtulOpenbravo Assigned To Retail => AtulOpenbravo
2021-03-09 12:35 AtulOpenbravo Status new => scheduled
2021-03-10 19:25 hgbot Note Added: 0126591
2021-03-10 19:26 hgbot Note Added: 0126592
2021-03-10 20:22 hgbot Resolution open => fixed
2021-03-10 20:22 hgbot Status scheduled => closed
2021-03-10 20:22 hgbot Note Added: 0126595
2021-03-10 20:22 hgbot Note Added: 0126596
2021-03-10 20:22 hgbot Note Added: 0126597
2021-03-10 20:22 hgbot Note Added: 0126598


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker